//---------------------------------------------------------------------------

#ifndef frmServerSocketH
#define frmServerSocketH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ScktComp.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label2;
	TEdit *_listenPort;
	TButton *_listen;
	TButton *_disconn;
	TListBox *ListBox1;
	TLabel *Label3;
	TMemo *_hexMemo;
	TButton *Button1;
	TMemo *_stringMemo;
	TEdit *_sendBuf;
	TLabel *Label4;
	TCheckBox *CheckBox1;
	TButton *_Send;
	TLabel *Label5;
	TLabel *Label6;
	TServerSocket *ServerSocket1;
	void __fastcall _listenClick(TObject *Sender);
	void __fastcall _disconnClick(TObject *Sender);
	void __fastcall ServerSocket1ClientConnect(TObject *Sender, TCustomWinSocket *Socket);
	void __fastcall _SendClick(TObject *Sender);
	void __fastcall ServerSocket1ClientRead(TObject *Sender, TCustomWinSocket *Socket);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall ServerSocket1ClientError(TObject *Sender, TCustomWinSocket *Socket,
          TErrorEvent ErrorEvent, int &ErrorCode);


private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
